Bug 18767 - Useless debugging info in GetDailyQuote.t
Summary: Useless debugging info in GetDailyQuote.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-09 14:16 UTC by Tomás Cohen Arazi
Modified: 2017-07-31 11:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18767: Remove useless diags from GetDailyQuote.t (2.69 KB, patch)
2017-06-09 14:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18767: Remove useless diags from GetDailyQuote.t (2.55 KB, patch)
2017-06-09 14:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18767: Remove useless diags from GetDailyQuote.t (2.61 KB, patch)
2017-06-09 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-06-09 14:16:49 UTC

    
Comment 1 Tomás Cohen Arazi 2017-06-09 14:19:21 UTC
Created attachment 64136 [details] [review]
Bug 18767: Remove useless diags from GetDailyQuote.t

This tests print useless debugging info.

To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> FAIL: Some output telling what is doing on each step is printed.
- Apply the patch
- Run
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> SUCCESS: No output, YAY!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Jonathan Druart 2017-06-09 14:23:08 UTC
Comment on attachment 64136 [details] [review]
Bug 18767: Remove useless diags from GetDailyQuote.t

Review of attachment 64136 [details] [review]:
-----------------------------------------------------------------

::: t/db_dependent/Koha/GetDailyQuote.t
@@ +86,5 @@
>  is( $quote->{id}, 6, ' GetDailyQuote returns the only existing quote' );
>  
>  $dbh->rollback;
> +
> +1;

See bug 18292.
Comment 3 Tomás Cohen Arazi 2017-06-09 14:26:49 UTC
Created attachment 64139 [details] [review]
Bug 18767: Remove useless diags from GetDailyQuote.t

This tests print useless debugging info.

To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> FAIL: Some output telling what is doing on each step is printed.
- Apply the patch
- Run
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> SUCCESS: No output, YAY!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2017-06-09 14:56:20 UTC
Created attachment 64145 [details] [review]
Bug 18767: Remove useless diags from GetDailyQuote.t

This tests print useless debugging info.

To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> FAIL: Some output telling what is doing on each step is printed.
- Apply the patch
- Run
 k$ prove t/db_dependent/Koha/GetDailyQuote.t
=> SUCCESS: No output, YAY!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-06-09 14:56:46 UTC
Trivial, skipping QA.
Comment 6 Jonathan Druart 2017-06-09 15:48:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-12 10:31:57 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 8 Katrin Fischer 2017-06-13 06:01:31 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 9 Mason James 2017-07-31 11:21:57 UTC
Pushed to 16.05.x, for 16.05.15 release